MapPageSegment (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.modca

## Class MapPageSegment

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.MapPageSegment

- All Implemented Interfaces:
    Streamable

      public class MapPageSegment
      extends AbstractAFPObject

  The Map Page Segment structured field identifies page segments that are required to present a page on a physical medium.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapPageSegment()` Constructor for the Map Page Overlay

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPageSegment(java.lang.String name)` Add a page segment to to the map page segment object.
    `boolean` | `isFull()` Indicates whether this object already contains the maximum number of page segments.
    `void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapPageSegment

          public MapPageSegment()

      Constructor for the Map Page Overlay

  - ### Method Detail

    - #### addPageSegment

          public void addPageSegment(java.lang.String name)
                              throws MaximumSizeExceededException

      Add a page segment to to the map page segment object.
      Parameters:
        `name` - the name of the page segment.
      Throws:
        `MaximumSizeExceededException` - if the maximum size is reached

    - #### isFull

          public boolean isFull()

      Indicates whether this object already contains the maximum number of page segments.
      Returns:
        true if the object is full

    - #### writeToStream

          public void writeToStream(java.io.OutputStream os)
                             throws java.io.IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `java.io.IOException` - an I/O exception of some sort has occurred.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.